Subject: bug#1765: Copy/paste inconsistent with other X apps

From: Richard M Stallman <[email-masked]>
Date: Sun, 04 Jan 2009 16:41:57 -0500

However, my Emacs 22.2.1 (started with emacs -Q) is confusing the two.
    If I kill-ring-save "foo", select "bar" with the mouse and yank I get
    "bar" instead of "foo". With the above spec, I should have gotten
    "bar" only if I pressed M-w before yanking.

This is a very useful feature.  It means, for instance, that you can use
C-y in Emacs to insert text that was selected in other apps.

    This is mostly annoying when pasting from another program, e.g. using
    C-c to copy "foo" in the browser, then yanking the text in Emacs. If
    you accidentally click the wrong place, the effort in selecting "foo"
    is lost.

That is vague, and I do not follow.  What do you mean by "the wrong
place"?  In what sense is the effort "lost"?